# app.data | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Namespace app.data

- Defined in: Global.js

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| app.data Helma’s built-in application-wide in-memory store.

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | app.data.callbacks Temporary in-memory store of site callbacks.
<static> | app.data.entries Temporary in-memory store of LogEntry instances.
<static> | app.data.features In-memory registry of Feature instances.
<static> | app.data.mails In-memory e-mail message queue.
<static> | app.data.requests In-memory store of remote requests for counting story hits.

## Namespace Detail

app.data
Helma’s built-in application-wide in-memory store.

## Field Detail

<static> app.data.callbacks
Temporary in-memory store of site callbacks. They will be invoked asynchronously by an Admin method.

See:
  Admin.invokeCallbacks
  scheduler

<static> {Array} app.data.entries
Temporary in-memory store of LogEntry instances. They will be made persistent asynchronously by an Admin method.

See:
  Admin.commitEntries
  scheduler

<static> {Array} app.data.features
In-memory registry of Feature instances. Features are defined in the “extra” dir.
<static> {Array} app.data.mails
In-memory e-mail message queue. They will be sent asynchronously by an Admin method.

See:
  helma.mail.flushQueue
  scheduler

<static> {Array} app.data.requests
In-memory store of remote requests for counting story hits. They will be made persistent asynchronously by an Admin method.

See:
  Admin.commitRequests
  scheduler